> For the complete documentation index, see [llms.txt](https://docs.archisketch.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.archisketch.com/guide/dev-en/api-sdk/api/category.md).

# Category

## Get Root Categories (Directories)

> Retrieves the root (ROOT) categories by type.\
> \
> \### Types\
> \- FURNITURE : Furniture\
> \- FURNITURE\_SET : Furniture Set\
> \- FINISH : Finish\
> \- TEXTURE : Texture\
> \- PROJECT : Project\
> \- USER : User\
> \- COMPONENT : Component\
> \- PARAMETRIC\_SALE : Parametric Product\
> \- FILE : File

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Category"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/categories":{"get":{"tags":["Category"],"summary":"Get Root Categories (Directories)","description":"Retrieves the root (ROOT) categories by type.\n\n### Types\n- FURNITURE : Furniture\n- FURNITURE_SET : Furniture Set\n- FINISH : Finish\n- TEXTURE : Texture\n- PROJECT : Project\n- USER : User\n- COMPONENT : Component\n- PARAMETRIC_SALE : Parametric Product\n- FILE : File","operationId":"getRootCategories","parameters":[{"name":"categoryType","in":"query","description":"Category Type","required":true,"schema":{"type":"string","description":"Category Type","enum":["FURNITURE","FURNITURE_SET","FINISH","TEXTURE","PROJECT","USER","COMPONENT","PARAMETRIC_SALE","FILE"]}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```

## Get Category

> Retrieves category information and the subcategory list using the category ID.\
> \
> \### Use Cases\
> \- Retrieve detailed information of a specific category\
> \- Check subcategory list\
> \- Explore category hierarchy structure

```json
{"openapi":"3.1.0","info":{"title":"Open API","version":"snapshot"},"tags":[{"name":"Category"}],"servers":[{"url":"https://openapi.archisketch.com"}],"security":[{"open-api-key":[]}],"paths":{"/api/v1/categories/{id}":{"get":{"tags":["Category"],"summary":"Get Category","description":"Retrieves category information and the subcategory list using the category ID.\n\n### Use Cases\n- Retrieve detailed information of a specific category\n- Check subcategory list\n- Explore category hierarchy structure","operationId":"getCategory","parameters":[{"name":"id","in":"path","description":"Category ID","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"All responses return 200 (including success and failure) (5xx is exposed only in error conditions)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiResponseCategoryResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.archisketch.com/guide/dev-en/api-sdk/api/category.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
